/*tolgo per tutti i browser eventuali margini degli elementi
* sta per tutti i tag*/
*{
    padding: 0;
    margin: 0;
}

@keyframes show {
    from {
        transform: translateX(-100%);
    }
    to {
        transform: translateX(0%);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

/*preno il */
#app{
    margin: 1px 1px 1px 1px;
    margin-left: 20px;
    animation: fadeIn 2s;
}

html{
    background-color: #f6f6f6;
    font-family: sans-serif;
}
input[type=text]{
    padding: 7px;
    appearance: none;
    outline: none; /*resettiamo il bordo che mette il browser*/
    border: 1px solid #cccccc;
    border-radius: 4px;
}

input:focus{
    border: 1px solid rgb(0,200,255);
    border-radius: 4px;
    box-shadow: 0px 0px 3px 4px rgba(0,200,255,0.2);
}

button{
    appearance: none;
    outline: none;
    padding: 7px;
    border: 1px solid rgb(0,200,255);
    background-color: rgb(0,200,255);
    border-radius: 4px;
    color: white;
    cursor: pointer;
}

button:hover{
    filter: brightness(90%);
}
button:active{
    filter: brightness(70%);
}
ul{
    /*rimuovo i pallini*/
    list-style: none;
}

li{
    border-bottom: 1px solid #cccccc;
    margin: 10px 0px;
    padding: 10px 0px;
    animation: show 1s;
}

/* il > simbolo serve per selezionare solo il figlio diretto*/
li > div:first-child{
    display: flex; /*attiva flex box*/
    flex-direction: row; /*allineo gli elementi al centro*/
    align-items: center;
    gap: 10px; /*spazio tra elementi*/
}

.expireDate{
    font-size: 11px;
    margin-top: 10px;
    color: red;
}

.mdi-delete{
    color:red;
    cursor: pointer;
    margin-right: 10px;
}

.mdi-delete:hover, .mdi-content-save:hover{
    filter:brightness(90%);
}

.mdi-delete:active, .mdi-content-save:active{
    filter:brightness(70%);
}

.mdi-content-save{
    color:rgb(0,200,255);
    margin-right: 5px;
}

